## CloudBeaver 배포용 custom values
## chart version: 1.1.4 / app version: 26.0.1

image:
  registry: docker.io
  repository: dbeaver/cloudbeaver
  tag: "26.0.1"
  pullPolicy: IfNotPresent

## 서비스 설정
service:
  type: ClusterIP
  ports:
    http: 8978

## Ingress 설정
ingress:
  enabled: true
  ingressClassName: "kong"
  hostname: cloudbeaver.example.org
  annotations:
    cert-manager.io/cluster-issuer: root-ca-issuer
    cert-manager.io/duration: 8760h
    cert-manager.io/renew-before: 720h
    konghq.com/protocols: https
    konghq.com/https-redirect-status-code: "301"
  tls: true

## 데이터 영속성 설정
persistence:
  enabled: true
  storageClass: ""        # 클러스터 기본 StorageClass 사용
  mountPath: /opt/cloudbeaver/workspace
  accessModes:
    - ReadWriteOnce
  size: 5Gi

## 리소스 설정
# small  - requests: cpu: 500m,  memory: 512Mi  / limits: cpu: 750m,  memory: 768Mi
# medium - requests: cpu: 500m,  memory: 1024Mi / limits: cpu: 1000m, memory: 1536Mi
# large  - requests: cpu: 1000m, memory: 2048Mi / limits: cpu: 1500m, memory: 3072Mi
resources:
  requests:
    cpu: 500m
    memory: 512Mi
  limits:
    cpu: 750m
    memory: 768Mi

## Pod 보안 컨텍스트 (기본값 유지)
podSecurityContext:
  enabled: true
  fsGroup: 8978

containerSecurityContext:
  enabled: true
  runAsUser: 8978
  runAsGroup: 8978
  runAsNonRoot: true
  allowPrivilegeEscalation: false
  capabilities:
    drop: ["ALL"]
